<template>
  <div>
    <!-- Desktop -->
    <div class="gt-md mainWidth">
      <top-bar />

      <div class="content">
        <new-chapter />
        <show-ads class="q-pt-md" />
        <div style="height: 20px"></div>
        <category-show @selectedItem="selectedCat" />
        <pop-chapter />
        <list-book />
        <show-ads class="q-pt-md" />
      </div>
    </div>

    <!-- mobile -->
    <div class="lt-sm">
      <top-bar />
      <div class="q-pa-sm content-m">
        <new-chapter />
        <show-ads class="q-pt-sm" />
        <category-show @selectedItem="selectedCat" class="q-pt-sm" />
        <pop-chapter class="q-pt-sm" />
        <div style="height: 20px"></div>
        <list-book />
        <show-ads />
      </div>
    </div>

    <!-- Tablet -->
    <div class="gt-xs lt-lg">
      <top-bar />
      <div class="q-pa-sm content-t">
        <new-chapter />
        <show-ads class="q-pt-sm" />
        <category-show @selectedItem="selectedCat" class="q-pt-sm" />
        <pop-chapter class="q-pt-sm" />
        <list-book />
        <show-ads />
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import categoryShow from "../components/category.vue";
import topBar from "../components/topbar.vue";
import newChapter from "../components/newchapter.vue";
import popChapter from "../components/popular.vue";
import listBook from "../components/listbook.vue";
import showAds from "../components/ads.vue";
export default {
  meta: {
    title:
      "อ่านหนังสือการ์ตูนออนไลน์ มังงะ แปลไทย มังฮวา Manga เกาหลี จีน ออนไลน์ ฝรั่ง อัพเดททุกวัน",
    meta: {
      description: {
        name: "description",
        content:
          "อ่านหนังสือการ์ตูนออนไลน์ มังงะ แปลไทย มังฮวา Manga เกาหลี จีน ออนไลน์ ฝรั่ง อัพเดททุกวัน",
      },
      keywords: {
        name: "keywords",
        content: "หนังสือการ์ตูน manga มังงะ มังฮวา แปลไทย",
      },
    },
  },
  components: {
    topBar,
    categoryShow,
    newChapter,
    popChapter,
    listBook,
    showAds,
  },
  methods: {
    selectedCat(catID) {
      this.$router.push("/category/" + catID);
    },
  },
};
</script>

<style lang="scss" scoped>
.content-t {
  margin-top: 60px;
}
.content-m {
  margin-top: 60px;
}
.content {
  margin-top: 80px;
}
</style>
